#include "qglogger.h"

#include "qgloggerdockwidget.h"
#include "qgscopeworkbench.h"

static bool logger_stop=false;

QgLogger::QgLogger(const QString &srcName, QObject *parent) : QObject(parent)
{
    setObjectName(srcName);
    m_w=&QgScopeWorkbench::instance().loggerWidget();
}

QgLogger::~QgLogger()
{
}

void QgLogger::log(LogMessageType type, const QString& msg)
{
    if (logger_stop)
        return;
    m_w->log(msg, type, objectName());
}

void QgLogger::logStop()
{
    logger_stop=true;
}

void QgLogger::debug(const QString& msg)
{
    log(QgLogger::DebugMsg, msg);
}

void QgLogger::info(const QString& msg)
{
    log(QgLogger::InfoMsg, msg);
}

void QgLogger::success(const QString& msg)
{
    log(QgLogger::SuccessMsg, msg);
}

void QgLogger::warning(const QString& msg)
{
    log(QgLogger::WarningMsg, msg);
}

void QgLogger::error(const QString& msg)
{
    log(QgLogger::ErrorMsg, msg);
}

void QgLogger::fatal(const QString& msg)
{
    log(QgLogger::FatalMsg, msg);
}

void QgLogger::systemError(const QString& msg)
{
    log(QgLogger::SystemErrorMsg, msg);
}

void QgLogger::SystemFatal(const QString& msg)
{
    log(QgLogger::SystemFatalMsg, msg);
}


void QgLogger::debug(const QString& msg, const QString& msg1)
{
    log(QgLogger::DebugMsg, QString("%1: %2").arg(msg).arg(msg1));
}

void QgLogger::info(const QString& msg, const QString& msg1)
{
    log(QgLogger::InfoMsg, QString("%1: %2").arg(msg).arg(msg1));
}

void QgLogger::success(const QString& msg, const QString& msg1)
{
    log(QgLogger::SuccessMsg, QString("%1: %2").arg(msg).arg(msg1));
}
void QgLogger::warning(const QString& msg, const QString& msg1)
{
    log(QgLogger::WarningMsg, QString("%1: %2").arg(msg).arg(msg1));
}
void QgLogger::error(const QString& msg, const QString& msg1)
{
    log(QgLogger::ErrorMsg, QString("%1: %2").arg(msg).arg(msg1));
}
void QgLogger::fatal(const QString& msg, const QString& msg1)
{
    log(QgLogger::FatalMsg, QString("%1: %2").arg(msg).arg(msg1));
}

void QgLogger::systemError(const QString& msg, const QString& msg1)
{
    log(QgLogger::SystemErrorMsg, QString("%1: %2").arg(msg).arg(msg1));
}

void QgLogger::SystemFatal(const QString& msg, const QString& msg1)
{
    log(QgLogger::SystemFatalMsg, QString("%1: %2").arg(msg).arg(msg1));
}
